dotfiles
========

Configuration for zsh, vim, awesome, ...

## XDG

Some configurations use XDG standard.

```
export DOTFILES=$(pwd)
export PROG=zsh vim git tmux dunst rofi i3blocks

for config in $PROG; do ln -s $DOTFILES/$config $XDG_CONFIG_HOME/; done
```

# zsh

```
ln -s $DOTFILES/zsh/.zshenv $HOME/
git clone https://github.com/zsh-users/zsh-completions.git $XDG_CONFIG_HOME/zsh/zsh-completions
```

# vim

```
mkdir -p $XDG_CONFIG_HOME/vim/bundle
git clone https://github.com/gmarik/vundle.git $XDG_CONFIG_HOME/vim/bundle/vundle
vim +BundleInstall +qall
```

## LICENSE

Everything in this repository is released under the WTFPL.

```
           DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
                   Version 2, December 2004

Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>

Everyone is permitted to copy and distribute verbatim or modified
copies of this license document, and changing it is allowed as long
as the name is changed.

           DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

 0. You just DO WHAT THE FUCK YOU WANT TO.

```

So, have fun.
