Firefox configuration
=========

- Configure Firefox Sync if needed
- Change to dark theme and compact density in Customize and Tree Style Tab config
- Access about:config and modify the following keys:
```
# https://support.mozilla.org/en-US/questions/1278533
ui.key.menuAccessKeyFocuses = false
# https://www.userchrome.org/how-create-userchrome-css.html
toolkit.legacyUserProfileCustomizations.stylesheets = true
```

Add-ons
------

- [Awesome RSS](https://addons.mozilla.org/en-US/firefox/addon/awesome-rss/)
- [Display inline](https://addons.mozilla.org/en-US/firefox/addon/display-inline/)
- [PassFF](https://addons.mozilla.org/en-US/firefox/search/)
- [Tree Style Tab](https://addons.mozilla.org/en-US/firefox/addon/tree-style-tab/)
- [Tridactyl](https://addons.mozilla.org/en-US/firefox/addon/tridactyl-vim/)
- [uBlock Origin](https://addons.mozilla.org/en-US/firefox/addon/ublock-origin/)
- [Vue.js devtools](https://addons.mozilla.org/en-US/firefox/addon/vue-js-devtools/)
- [Wallabager](https://addons.mozilla.org/en-US/firefox/addon/wallabagger/)
- [Tampermonkey](https://addons.mozilla.org/en-US/firefox/addon/tampermonkey/)

userChrome.css
----------

Move the [userChrome.css](userChrome.css) file in `%{PROFILE_PATH}/chrome/`.

Search engines
--------

Add search engines:
- [Qwant](https://www.qwant.com/) (keyword: q)
- [DuckDuckGo](https://duckduckgo.com/) (keyword: duck)
- [Startpage](https://www.startpage.com/) (keyword: s)
- [Google](https://www.google.com/) (keyword: gg)
- [Wikipedia FR](https://fr.wikipedia.org/) (keyword: wf)
- [Wikipedia EN](https://en.wikipedia.org/) (keyword: we)
